Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Name:           libcompizconfig
Version:        0.7.6
Release:        1
Summary:        Configuration backend for compiz

Group:          System/Libraries
License:        GPL
URL:            http://www.opencompositing.org/

Source0:       http://releases.compiz-fusion.org/%{version}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  compiz-devel >= %{version}, compiz-bcop = %{version}
BuildRequires:  perl(XML::Parser)

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
through plugins and themes contributed by the community giving a
rich desktop experience.

This package contains the library for plugins to configure compiz 
settings.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release} , pkgconfig , compiz-devel >= %{version}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static 
           
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README VERSION
%{_sysconfdir}
%{_libdir}/*.so.*
%{_datadir}/compizconfig/global.xml
%{_datadir}/compiz/ccp.xml
%{_libdir}/compiz/*.so
%{_libdir}/compizconfig/backends/libini.so

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/compiz/*.la
%{_libdir}/compizconfig/backends/*.la
%{_libdir}/pkgconfig/libcompizconfig.pc


%changelog
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.6-1
- Version update
* Tue May 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.4-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.7.2-1
- Version update
* Sat Oct 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.6.0-1
- Version update
* Thu Sep 20 2007 Christian Metzen <metzench@ccux-linux.de> 0.5.2-1
- Initial release
